connect-proxy(1)					      connect-proxy(1)



NAME
       connect-proxy - SSH Proxy Command

SYNOPSIS
       connect-proxy [-dnhst45] [-R resolve ] [-p local-port ] [-w sec ]
	       [-H [user@]proxy-server[:port] ]
	       [-S [user@]socks-server[:port] ]
	       [-T socks-server[:port] ]
	       [-c telnet-proxy-command ]
	       host port

DESCRIPTION
       connect-proxy is the simple relaying command to make network connection
       via SOCKS or http proxy. It is mainly intended to be used  as  a	 proxy
       command of OpenSSH.

OPTIONS
       host and port are target hostname and port number to connect.

       -H     Specifies	 hostname  and port number of a http proxy server.  If
	      port is omitted, 80 is used.

       -h     Use http proxy server specified in HTTP_PROXY environment	 vari-
	      able.

       -S     Specifies	 hostname  and	port  number of SOCKS server.  Like -H
	      option, port number can be omitted and the default is 1080.

       -s     Use  SOCKS  proxy	  server   specified   in   SOCKS5_SERVER   or
	      SOCKS4_SERVER environment variable (depending on -4 or -5).

       -T     Secifies	hostname  and port number of a telnet proxy.  The port
	      number can be omitted and default is 23.

       -t     Use a telnet proxy specified in TELNET_PROXY  environment	 vari-
	      able.

       -4 or -5
	      Specifies	 SOCKS	protocol  version. It is valid only with -s or
	      -S.  Default is -5 (protocol version 5).

       -R     Method to resolve hostname. 3 keywords (local, remote, both)  or
	      a	 dot-notation IP address are allowed. Keyword both means: "Try
	      local first, then remote". If a dot-notation IP address is spec-
	      ified,  that  host  will	be  used  as a nameserver (UNIX only).
	      Default is remote for SOCKS5 or local  for  others.   On	SOCKS4
	      protocol,	 remote resolving method (remote and both) uses proto-
	      col version 4a.

       -p     Listen to a local TCP port and make relaying with it instead  of
	      using standard input and output.

       -w     Timeout in seconds on making connection.

       -c     Request string against telnet proxy server.  The special word %h
	      and %p in this string are replaced with hostname and port number
	      before  sending. For telnet proxy by DeleGate, both telnet %h %p
	      and %h:%p are acceptable. Default is telnet %h %p.

       -a     Specifies authentication methods separated by comma.   Currently
	      userpass	and  none are supported. Default is userpass.  You can
	      also  specifying	this  parameter	 using	environment   variable
	      SOCKS5_AUTH.

       -d     Used  for	 debugging. If you fail to connect, use this and check
	      request to and response from the server.

USAGE
       Modify your ~/.ssh/config file to use connect command as proxy command.
       For   example,	if   SOCKS   server   is   running  on	firewall  host
       socks.local.net with port 1080, you  can	 add  ProxyCommand  option  in
       ~/.ssh/config, like this:

	   Host remote.outside.net
	       ProxyCommand connect -S socks.local.net %h %p

       %h  and %p will be replaced on invoking proxy command with target host-
       name and port specified to SSH command.



SEE ALSO
       ssh(1) ssh_config(5)

       http://bitbucket.org/gotoh/connect



connect-proxy 101-1		  2010/04/17		      connect-proxy(1)
